Katello - Tracker #7156

Enable/re-enable cops in rubocop and clean up code
08/19/2014 02:09 PM - David Davis

Status: Closed % Done: 100%
Priority: Normal

Assignee: David Davis

Category:

Target version: Katello 2.1

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases:

Bugzilla link: Red Hat JIRA:

Description

Keeping track of the cops at:

http://katello.pad.engineering.redhat.com/rubocop-24-cops

Related issues:

Blocked by Katello - Feature #5344: Engine: Clean-up un-indented module scopi...

Closed

04/21/2014

Associated revisions

Revision 1ed88f61 - 09/05/2014 09:43 AM - David Davis

Refs #7156 - Fixing a bunch of small rubocop items

Revision 9ad83700 - 09/05/2014 12:13 PM - David Davis

Merge pull request #4643 from daviddavis/rubocop-low-hanging

Refs #7156 - Fixing a bunch of small rubocop items

Revision aa23fc77 - 09/12/2014 04:09 PM - David Davis

Refs #7156 - Fixing some small rubocop items

Revision da5fbe63 - 09/15/2014 09:59 AM - David Davis
Merge pull request #4659 from daviddavis/temp/20140912155328

Refs #7156 - Fixing some small rubocop items

Revision 96b2cbd0 - 10/09/2014 11:16 AM - Brad Buckingham

refs #7156 - rubocop fixes for katello/helpers

Revision 1b5567d3 - 10/09/2014 11:21 AM - Eric Helms
Refs #7156: Fix config/ Rubocop offenses.

Revision 91827724 - 10/09/2014 11:25 AM - Justin Sherrill

refs #7156 - updating models for new rubocop style

Revision c7cf406d - 10/09/2014 11:35 AM - Eric Helms

Refs #7156: Removing unneeded files Rubocop was checking.

Revision f89b930e - 10/09/2014 11:37 AM - Walden Raines

Refs #7156: fix rubocop offenses in app/controllers.

Revision 444b9822 - 10/09/2014 11:45 AM - Justin Sherrill

refs #7156 - updating rubocop style for migrations
http://katello.pad.engineering.redhat.com/rubocop-24-cops

Revision a25d0008 - 10/09/2014 12:04 PM - Adam Price
refs #7156 - rubocop - adding to app/views/*.rabl files

Revision 2a17303f - 10/09/2014 12:19 PM - Eric Helms
Refs #7156: Fix lib/ Rubocop offenses.

Revision fa288912 - 10/09/2014 12:19 PM - Walden Raines
Merge pull request #4726 from waldenraines/rubocop-controllers
Refs #7156: fix rubocop offenses in app/controllers.

Revision 27f388b5 - 10/09/2014 12:24 PM - Eric Helms

Merge pull request #4724 from ehelms/refs-7156-config

Refs #7156: Fix config/ Rubocop offenses.

Revision 40f8e244 - 10/09/2014 12:24 PM - Eric Helms

Merge pull request #4725 from ehelms/refs-7156-cleanup

Refs #7156: Removing unneeded files Rubocop was checking.
Revision e254561b - 10/09/2014 12:24 PM - Brad Buckingham
Merge pull request #4722 from bbuckingham/issue-7156

refs #7156 - rubocop fixes for katello/helpers

Revision 74fd07fa - 10/09/2014 01:04 PM - Justin Sherrill

refs #7156 - test updates for model changes

Revision 3b4111d6 - 10/09/2014 01:06 PM - Adam Price
Merge pull request #4728 from komidore64/rubocop-views-dir
refs #7156 - rubocop - adding to app/views/*.rabl files
Revision c9c45c1d - 10/09/2014 01:41 PM - Eric Helms
Merge pull request #4723 from ehelms/refs-7156-lib

Refs #7156: Fix lib/ Rubocop offenses.

Revision bbc2a362 - 10/09/2014 02:19 PM - David Davis
Refs #7156 - Disable some cops

Revision f67ef7fe - 10/09/2014 03:36 PM - David Davis

Merge pull request #4727 from daviddavis/temp/20141009120316
Refs #7156 - Disable GuardClause cop

Revision af7eacd5 - 10/09/2014 04:07 PM - Justin Sherrill
Merge pull request #4729 from jIsherrill/models

refs #7156 - updating models and db directories for repos

Revision 45537f5c - 10/09/2014 06:43 PM - Eric Helms
Refs #7156: Fixing app/lib for Rubocop.

Revision 844a4998 - 10/10/2014 07:58 AM - David Davis
Merge pull request #4720 from ehelms/refs-7156

Refs #7156: Fixing app/lib for Rubocop.

Revision abe7f350 - 10/10/2014 02:31 PM - David Davis
Fixes #7156 - Fixing up rubocop errors across katello

Revision 282b9cff - 10/13/2014 03:58 PM - David Davis
Merge pull request #4734 from daviddavis/temp/20141010134450
Fixes #7156 - Converge to one rubocop.yml

Revision f6352¢20 - 10/16/2014 11:39 AM - David Davis
Refs #7156 - Addressing more rubocop cops

Revision 0cc48f6e - 10/16/2014 03:35 PM - David Davis
Merge pull request #4750 from daviddavis/temp/20141016113818

Refs #7156 - Addressing more rubocop cops

Revision c5¢1db69 - 10/17/2014 10:27 AM - Adam Price

refs #7156 - rubocop party! adding cop directives to hammer from katello

Revision 2cab2d61 - 10/17/2014 10:31 AM - Adam Price
Merge pull request #239 from komidore64/rubocop-additions
refs #7156 - rubocop party! adding cop directives to hammer from katello

Revision d623cd8c - 10/17/2014 10:44 AM - Adam Price

refs #7156 - rubocop party - copying from katello to sam

Revision aac7601b - 10/17/2014 10:52 AM - Adam Price
Merge pull request #12 from komidore64/rubocop-party

refs #7156 - rubocop party - copying from katello to sam

History

#1 - 08/20/2014 08:21 AM - Eric Helms

- Target version changed from 56 to 55

#2 - 08/20/2014 10:36 AM - David Davis

- Blocked by Feature #5344: Engine: Clean-up un-indented module scoping throughout application. added

#3 - 09/05/2014 09:44 AM - The Foreman Bot
- Status changed from New to Ready For Testing

#4 - 09/08/2014 08:13 AM - Eric Helms

- Target version changed from 55 to 56

#5 - 09/27/2014 12:39 PM - Eric Helms

- Target version changed from 56 to 58

#6 - 10/13/2014 04:02 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|abe7f350b778cd8ab3650f651fa15aeaa23e915f.

#7 - 10/16/2014 11:28 AM - David Davis

- Status changed from Closed to Assigned

#8 - 10/16/2014 11:38 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
https://projects.theforeman.org/projects/katello/repository/katello/revisions/abe7f350b778cd8ab3650f651fa15aeaa23e915f

#9 - 10/20/2014 09:22 AM - Eric Helms

- Target version changed from 58 to 59

#10 - 10/28/2014 04:24 PM - David Davis
- Status changed from Ready For Testing to Closed

Closing for now. We can open new issues for any more work we need to do in the future.

#11 - 11/21/2014 10:46 AM - Eric Helms

- translation missing: en.field_release set to 14
